/* =========================
   DESKTOP (<= 2400px)
========================= */

@media (max-width: 2400px){

    .info .informacion .cartas{
        height: 20vh;
    }

    main .servicios {
        height: 120vh;
        padding: 50px 20px;
    }
}

@media (max-width: 1800px){

    main .servicios{
        height: 150vh;
    }
}


/* =========================
   DESKTOP (<= 1440px)
========================= */
@media (max-width: 1440px){
    .info .informacion .cartas{
        height: 25vh;
    }
}

/* =========================
   DESKTOP (<= 1380px)
========================= */
@media (max-width: 1380px){
    main .servicios{
        height: 110vh;
        padding: 50px 20px;
    }

    main .servicios .info-serv{
        top: 0px;
    }

     main .servicios .info-serv h2{
        font-size: 30px;
    }

    main .servicios{
        height: 130vh;
    }

}




/* =========================
   TABLET (<= 1024px)
========================= */

@media (max-width: 1024px){

    /* HEADER */
    header{
        flex-direction: column;
        height: auto;
        padding: 10px;
    }

        /* mostrar botón */
    .hamburger{
        display: block;
    }

    /* ocultar menú por defecto */
    .lista{
        position: absolute;
        top: 80px;
        left: 0;
        width: 100%;
        height: 60vh;
        background: rgba(0,0,0,0.9);
        display: none;
        flex-direction: column;
        text-align: center;
    }

    /* cuando esté activo */
    .lista.active{
        display: flex;
    }

    .lista ul{
        flex-direction: column;
        gap: 20px;
        padding: 20px 0;
    }

    header .contact{
        display: none; /* opcional (para simplificar móvil) */
    }

    .lista ul{
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

    /* HERO */
    .sectionPrincipal .hero-text{
        width: 70%;
        text-align: center;
    }

    /* SECCIÓN EXPLICACIÓN */
    .sectionExplicacion .divSection{
        flex-direction: column;
        text-align: center;
    }
    .metricas{
        left: 50%;
        transform: translateX(-50%);
    }

    .metricas .caja{
        width: 100%;
        margin-bottom: 20px;
        display: grid;
        grid-template-columns: 1fr;
    }

    /* Zona de como trabajamos */
    .info .informacion .cartas{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        width: 60%;
        left: 50%;
        transform: translateX(-50%);
        margin-top: 80px;
    }

    .info .informacion .cartas img{
        left: 50%;
        transform: translateX(-50%);
    }

    .sectionExplicacion .imgExplicacion,
    .sectionExplicacion .infoExplicacion{
        width: 100%;
    }


    /* Servicios */
    main .servicios{
        width: 100%;
        height: 120vh;
        padding: 50px 20px;
    }

        main .servicios .info-serv{
        position: relative;
        transform: translateX(-50%);
        left: 50%;
        width: 100%;
        top: 0px;
    }

    main .servicios .image{
        width: 0;
    }

    main .servicios article{
        width: 100%;
        margin-bottom: 30px;
    }

    main .servicios .info-serv h2{
        font-size: 30px;
    }

    main .servicios .info-serv p{
    font-size: 15px;
    }

    main .servicios .image img{
    display: none;
    }

    main .proyectos .proyectos{
    width: 90%;
    }


    /* TIPOS DE REFORMAS */
    #tipos_reformas .contenedor{
        flex-wrap: wrap;
        justify-content: center;
        padding: 0 20px;
    }

    #tipos_reformas .divSection{
        width: 45%;
        height: auto;
    }

    /* ANTES Y DESPUÉS */
    #antes_despues .contenedor{
        flex-wrap: wrap;
        justify-content: center;
    }

    #antes_despues .card{
        width: 45%;
    }


    main .proyectos .proyectos article{
        width: 100%;
    }

    main .proyectos .proyectos article img{
        width: 100%;
    }

    main #proceso_trabajo .proceso-container{
        flex-direction: column;
        gap: 30px;

        grid-template-columns: repeat(1, 1fr);
    }

    main #proceso_trabajo .proceso-container:before{
        content: "";
        position: absolute;
        top: 0;
    }
    
        /* Zona de como trabajamos */

    /* FORMULARIO */
    .form-container{
        flex-direction: column;
    }

    #image{
        height: 300px;
    }

    /* FOOTER */
    footer div{
        width: 100%;
        flex-wrap: wrap;
    }

}


/* =========================
   MÓVIL PEQUEÑO (<= 480px)
========================= */

@media (max-width: 480px){

    /* HEADER */
    header{
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 10px 15px;
    }

        /* mostrar botón */
    .hamburger{
        display: block;
        font-size: 28px;
        color: white;
        cursor: pointer;
        position: relative;
        transform: translateX(-50%);
        left: 50%;
    }

    /* ocultar menú por defecto */
    .lista{
        display: none;
        position: fixed;
        top: 60px;
        left: 0;
        width: 100%;
        height: 60vh;
        background: rgba(0,0,0,0.95);
        flex-direction: column;
    }

    /* cuando esté activo */
    .lista.active{
        display: flex;
    }

    .lista ul{
        flex-direction: column;
        gap: 20px;
        padding: 20px 0;
    }

    header .contact a button{
        z-index: 20;
        position: relative;
        transform: translateX(-50%);
        left: 50%;
        gap: 10px;
    }

    .lista ul{
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

    /* HERO */
    .sectionPrincipal{
        height: 60vh;
    }

    .sectionPrincipal .hero-text{
        position: relative;
        left: 35%;
        transform: translateX(-50%);        
        width: 90%;
        font-size: 14px;
    }

    .sectionPrincipal .metricas{
        left: 40%;
        transform: translateX(-50%);
    }

    main .info .informacion .cartas{
        height: auto;
        flex-wrap: wrap;
        justify-content: center;
        width: 90%;
        left: 50%;
        transform: translateX(-50%);
    }

    main .servicios{
        width: 100%;
        height: 135vh;
    }

    main .servicios .info-serv article{
        width: 100%;
        margin-bottom: 20%;
    }

     main .servicios .info-serv h2{
        font-size: 30px;
    }

     /* Zona de como trabajamos */

    /* TIPOS */
    #tipos_reformas .divSection{
        width: 100%;
    }

    /* ANTES Y DESPUÉS */
    #antes_despues .card{
        width: 100%;
    }

    /* PROYECTOS */


    /* FORM */
    .form-container form{
        padding: 25px;
    }

    main #proceso_trabajo h2{
        font-size: 30px;
        margin-bottom: 15px;
    }

    main #proceso_trabajo #linea-proceso{
        position: relative;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        margin-bottom: 15%;
    }

    /*Linea cointainer de arriba a abajo*/
    main #proceso_trabajo .proceso-container::before{
        content: "";
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 2px;
        height: 100%;
        background-color: #EB7D10;
    }

     main #proceso_trabajo .proceso-container{
        flex-direction: column;
        gap: 30px;
    }

    /* FOOTER */
    footer div{
        flex-direction: column;
        text-align: center;
    }

    footer .info{
        width: 110%;
        right: 5%;
        position: relative;
    }

    footer .redes{
        position: relative;
        right: 5%;
        width: 110%;
        background-color: #363636;
        padding: 20px 0;
    }
}


/* =========================
   MÓVIL (<= 576px)
========================= */

@media (max-width: 576px){

    /* HEADER */
    header{
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 10px 15px;
    }

        /* mostrar botón */
    .hamburger{
        display: block;
        font-size: 28px;
        color: white;
        cursor: pointer;
        position: relative;
        transform: translateX(-50%);
        left: 50%;
    }

    /* ocultar menú por defecto */
    .lista{
        display: none;
        position: fixed;
        top: 60px;
        left: 0;
        width: 100%;
        height: 60vh;
        background: rgba(0,0,0,0.95);
        flex-direction: column;
    }

    /* cuando esté activo */
    .lista.active{
        display: flex;
    }

    .lista ul{
        flex-direction: column;
        gap: 20px;
        padding: 20px 0;
    }

    header .contact a button{
        z-index: 20;
        position: relative;
        transform: translateX(-50%);
        left: 50%;
        gap: 10px;
    }

    .lista ul{
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

    /* HERO */
    .sectionPrincipal .hero-text h2{
        font-size: 24px;
    }

    /* BOTONES */
    button{
        width: 100%;
    }

    /* ESPACIADO GENERAL */
    #vacio{
        height: auto;
        padding: 40px 10px;
    }

    /* SECCION PROYECTOS */
    main .proyectos{
        height: 250vh;
    }

    main .proyectos .proyectos .grid-proyectos{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        gap: 30px;
    }

    main .proyectos .proyectos .grid-proyectos .card.pequeña{
        margin-bottom: 75px;
    }

     main .proyectos .proyectos article{
        width: 100%;
    }

     main .proyectos .proyectos article img{
        width: 100%;
    }

    main #proceso_trabajo .proceso-container{
        flex-direction: column;
        gap: 30px;
        grid-template-columns: repeat(1, 1fr);
    }
}